<div [ngClass]="{'container': (editType$ | async) === 'NEW'}">
	<div class="row mb-2">
  	<div class="col">
  		<div class="row mb-3 h1 justify-content-between align-items-center text-secondary-dark">
  		  <div class="col-auto">
          <span class="display-3 fw-bold" i18n="title@@mainData">Main Data</span>
  		  </div>
        <div class="col d-flex justify-content-end">
    			<button [appHelpPopup]="fsHelpTpl" class="btn btn-secondary btn-sm rounded-circle pet-glow-dark-btn-sm-rev" type="button">
    				<fa-icon [icon]="iconHelp" class="light-help-svg fa-lg"></fa-icon>
    			</button>
        </div>
  		</div>
  		<form [formGroup]="fsForm" (ngSubmit)="onSubmit()">
  			<div class="row mb-3">
          <div class="col">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="brand" i18n="label@@brand">Brand</label>
    				<input type="text" class="form-control bg-light border pet-main-diagonal-rounded border-secondary-light pet-glow-secondary"
    					formControlName="brand" placeholder="Inserire la marca" [ngbTypeahead]="searchBrands" placement="bottom-left"
    					(input)="fsForm.markAsDirty()" highlightClass="bg-secondary" id="brand">
    			</div>
  			</div>
  	
  			<div class="row mb-3">
          <div class="col">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="line" i18n="label@@line">Line</label>
    				<input type="text" class="form-control bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
    					formControlName="line" placeholder="Inserire la linea" [ngbTypeahead]="searchLines" placement="bottom-left" id="line">
    			</div>
  			</div>
  	
  			<div class="row mb-3">
          <div class="col">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="recipe" i18n="label@@recipe">Recipe</label>
    				<input type="text" class="form-control bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
    					formControlName="recipe" placeholder="Inserire la ricetta" [ngbTypeahead]="searchRecipes" placement="bottom-left" id="recipe">
    			</div>
  			</div>
  	
  			<div class="row mb-3">
          <div class="col-6">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="prodType" i18n="label@@prodType">Type</label>
    				<select class="form-select bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
    					id="prodType" formControlName="prodType">
    					<option *ngFor="let prodType of prodTypes" [ngValue]="prodType">{{ locProdTypes[prodType] }}</option>
    				</select>
    			</div>
          <div class="col-6">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="prodPackage" i18n="label@@prodPackage">Package</label>
    				<select class="form-select bg-light pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary"
    					id="prodPackage" formControlName="prodPackage">
    					<option *ngFor="let prodPackage of prodPackages" [ngValue]="prodPackage">{{ locProdPackages[prodPackage] }}</option>
    				</select>
    			</div>
  			</div>
  	
  			<div class="row mb-3">
          <div class="col">
    				<label class="mb-0 px-2 bg-secondary rounded-top text-tertiary-light" for="netWeight" i18n="label@@netWeigth">Weight</label>
    				<div class="input-group pet-main-diagonal-rounded border border-secondary-light pet-glow-secondary">
    					<input type="number" class="form-control bg-light pet-bottom-left-rounded shadow-none border-0" id="netWeight"
    						formControlName="netWeight" placeholder="Inserire il peso in grammi">
    					<span class="input-group-text border-0 p-1 pet-top-right-rounded">gr.</span>
    				</div>
    			</div>
  			</div>
  	
  			<div class="row mt-5">
          <div class="col d-flex justify-content-center">
    				<button type="submit" [disabled]="!fsForm.valid || fsForm.pristine"
    					class="btn btn-lg btn-primary-dark pet-btn-big border-primary-fluo pet-glow-dark-btn"
    					i18n="btn@@submit">Submit</button>
          </div>
          <div class="col d-flex justify-content-center">
    				<button type="button" (click)="onCancel()"
    					class="btn btn-lg btn-danger pet-btn-big border-danger pet-glow-dark-btn"
    					i18n="btn@@cancel">Cancel</button>
          </div>
  			</div>
  	
  		</form>
  	</div>
	</div>
</div>

<ng-template #fsHelpTpl>
	<div class="pet-help-panel pet-glow-info">
		<div class="card-header">
			<p class="card-text">
				<b i18n="help|@@fsHelpHeader">Come inserire i dati principali</b>
			</p>
		</div>
		<div class="card-body h-100 overflow-auto">
			<p class="card-text" i18n="help|@@fsHelpBody">
				Inserire i dati identificativi del prodotto. Ad es.<br> Marca:
				Hill's<br> Linea: Prescription Diet d/d<br> Ricetta: con
				anatra e piselli verdi<br> Tipo: Secco<br> Confezione:
				Sacco<br> Peso netto: 1500 gr.<br> <br> Si considera
				di tipo <b>UMIDO</b> il prodotto con una percentuale di umidità
				superiore al 14%<br> In caso contrario, o in mancanza
				dell'indicazione specifica in etichetta<br> si considera il
				prodotto come di tipo <b>SECCO</b><br> <br> Per le
				confezioni metalliche (c.d. scatolette) si considera <b>LATTA</b><br>
				un prodotto in contenitore metallico dal peso netto <b>superiore
				ai 200 grammi</b><br> Un recipiente metallico contenente una
				quantità di prodotto<br> <b>inferiore ai 200 grammi</b> si
				considera <b>LATTINA</b>
			</p>
		</div>
	</div>
</ng-template>
